Bug 183983 - [MAINTAINER] sysutils/py27-glances: update to 1.7.2
Summary: [MAINTAINER] sysutils/py27-glances: update to 1.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 08:50 UTC by Gasol Wu
Modified: 2013-12-02 08:20 UTC (History)
0 users

See Also:


Attachments
py27-glances-1.7.2.patch (2.31 KB, patch)
2013-11-15 08:50 UTC, Gasol Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-11-15 08:50:00 UTC
- Update to 1.7.2

Generated with FreeBSD Port Tools 0.99_9 (mode: update, diff: ports)
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-15 09:26:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-12-01 18:50:09 UTC
State Changed
From-To: open->feedback

2 files are missing: 
%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances-with-monitored.conf 
and 
%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances.conf. 
Should I remove them from pkg-plist?
Comment 3 Gasol Wu 2013-12-02 02:58:24 UTC
I didn't notice these files has removed. It's okay to remove them.
Thanks for your help.
Comment 4 dfilter service freebsd_committer 2013-12-02 08:17:23 UTC
Author: sunpoet
Date: Mon Dec  2 08:17:14 2013
New Revision: 335466
URL: http://svnweb.freebsd.org/changeset/ports/335466

Log:
  - Update to 1.7.2
  
  Changes:	https://github.com/nicolargo/glances/blob/master/NEWS
  PR:		ports/183983
  Submitted by:	Gasol Wu <gasol.wu@gmail.com> (maintainer)

Modified:
  head/sysutils/py-glances/Makefile
  head/sysutils/py-glances/distinfo   (contents, props changed)
  head/sysutils/py-glances/files/patch-setup.py   (contents, props changed)
  head/sysutils/py-glances/pkg-plist   (contents, props changed)

Modified: head/sysutils/py-glances/Makefile
==============================================================================
--- head/sysutils/py-glances/Makefile	Mon Dec  2 08:15:31 2013	(r335465)
+++ head/sysutils/py-glances/Makefile	Mon Dec  2 08:17:14 2013	(r335466)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	glances
-PORTVERSION=	1.7.1
+PORTVERSION=	1.7.2
 CATEGORIES=	sysutils python
 MASTER_SITES=	https://github.com/nicolargo/glances/archive/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/sysutils/py-glances/distinfo
==============================================================================
--- head/sysutils/py-glances/distinfo	Mon Dec  2 08:15:31 2013	(r335465)
+++ head/sysutils/py-glances/distinfo	Mon Dec  2 08:17:14 2013	(r335466)
@@ -1,2 +1,2 @@
-SHA256 (v1.7.1.tar.gz) = a681883dd6add6371e987bac2b2bbb2959f873283d833ec2e6f2e1e3707a5e3c
-SIZE (v1.7.1.tar.gz) = 693211
+SHA256 (v1.7.2.tar.gz) = 9bf0b615d546b7ad11d0588cf3e675472612d448fa3acd3ad28f6e1cae20bdf0
+SIZE (v1.7.2.tar.gz) = 1431489

Modified: head/sysutils/py-glances/files/patch-setup.py
==============================================================================
--- head/sysutils/py-glances/files/patch-setup.py	Mon Dec  2 08:15:31 2013	(r335465)
+++ head/sysutils/py-glances/files/patch-setup.py	Mon Dec  2 08:17:14 2013	(r335466)
@@ -1,5 +1,5 @@
---- ./setup.py.orig	2013-08-20 19:49:41.000000000 +0800
-+++ ./setup.py	2013-08-23 01:16:53.000000000 +0800
+--- ./setup.py.orig	2013-11-01 17:12:25.000000000 +0800
++++ ./setup.py	2013-11-08 14:42:57.000000000 +0800
 @@ -11,10 +11,9 @@
                             'docs/glances-doc.html',
                             'glances/conf/glances.conf']),
@@ -14,14 +14,14 @@
  ]
  
  if hasattr(sys, 'real_prefix') or 'bsd' in sys.platform:
-@@ -23,10 +22,6 @@
-     etc_path = os.path.join('/etc', 'glances')
- elif 'darwin' in sys.platform:
-     etc_path = os.path.join('/usr/local', 'etc', 'glances')
--data_files.append((etc_path, ['glances/conf/glances.conf']))
+@@ -25,10 +24,6 @@
+     conf_path = os.path.join('/usr/local', 'etc', 'glances')
+ elif 'win32' in sys.platform:
+     conf_path = os.path.join(os.environ.get('APPDATA'), 'glances')
+-data_files.append((conf_path, ['glances/conf/glances.conf']))
 -
 -for mo in glob.glob('i18n/*/LC_MESSAGES/*.mo'):
 -    data_files.append((os.path.dirname(mo).replace('i18n/', 'share/locale/'), [mo]))
  
- setup(
-     name='Glances',
+ if sys.platform.startswith('win'):
+     requires = ['psutil>=0.5.1', 'colorconsole==0.6']

Modified: head/sysutils/py-glances/pkg-plist
==============================================================================
--- head/sysutils/py-glances/pkg-plist	Mon Dec  2 08:15:31 2013	(r335465)
+++ head/sysutils/py-glances/pkg-plist	Mon Dec  2 08:17:14 2013	(r335466)
@@ -10,8 +10,6 @@ etc/glances/glances.conf.sample
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances-with-monitored.conf
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances.conf
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/css/default.css
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html/base.html
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html/default.html
@@ -62,7 +60,6 @@ etc/glances/glances.conf.sample
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/img
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-12-02 08:17:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!